###############################################
# Sanchez, J. Time Series for Data Scientists #
# Chicken.R   program for case study          #
###############################################

# To import the data from SAS, the reader can use either the 
# Environment tab and then import from SAS or use the commands 
# that this produces, if your data is in the directory where 
# this program is. 

   library(haven)
   chicken_egg_data <- read_sas("chicken-egg-data.sas7bdat", 
                               +     NULL)
   #View(chicken_egg_data)   1975:4 - 2002:9
   
   head(chicken_egg_data)
   tail(chicken_egg_data)
   
## Monthly data that was curated before after downloading
## no missing observations. Consecutive monthly readings. 
## Make it mts object
   
   data=ts(chicken_egg_data[,3:4],  
             start=c(1975, 4), 
             end=c(2001:8 ), 
              freq=12 
             )
  class(data); start(data); end(data)       
  
  ### If the objective is just to replicate the results obtained in 
  ##Section 8.12, the case study, then use data to do the VAR, etc. 
  ## 
  ## If the objective is to forecast, a training data set should be 
  ## windowed from data, and a test set kept to calculate the 
  ## rmse of the forecast (12 last months, for example. )
  
  ## Use code in the other programs posted adapted to this problem 
  ## to repeat the study in Section 8.12. 
             

   